Subject: Re: [Mipshop] Revision of Transient Binding draft, removal of A-flag

From: "BLUME, Oliver" <[email-masked]>
Date: Wed, 3 Jun 2009 19:04:01 +0200

Hi folks,

I don't see much to add to Ahmad's comments (and what Vijay and Marco already added). 

I am perfectly fine with adding some text stating what can be done implementation specific. But the support transient bindings offers for uplink traffic from pMAG can not be done in a PMIP implementation according to RFC5213. We need the signalling specified in Transient Binding draft for this. 

Regards,

Oliver

>-----Ursprüngliche Nachricht-----
>Von: [email-masked] 
>[mailto:[email-masked]] Im Auftrag von Ahmad Muhanna
>Gesendet: Dienstag, 26. Mai 2009 20:43
>An: Vijay Devarapalli; Rajeev Koodli; Ryuji Wakikawa
>Cc: Marco Liebsch; [email-masked]; Pierre Imai; MELIA, Telemaco
>Betreff: Re: [Mipshop] Revision of Transient Binding draft, 
>removal of A-flag
>
>Hi Vijay,
>
>Sure. I (personally) believe we are on the same page. I 
>believe Marco and Oliver also have the same views; but they 
>may confirm too. In addition, we will look into capturing the 
>reasoning why not all cases can be addressed locally at the LMA. 
>
>Regards,
>Ahmad
> 
>
>> -----Original Message-----
>> From: Vijay Devarapalli [mailto:[email-masked]]
>> Sent: Tuesday, May 26, 2009 1:30 PM
>> To: Muhanna, Ahmad (RICH1:2H10); Rajeev Koodli; Ryuji Wakikawa
>> Cc: Marco Liebsch; [email-masked]; Pierre Imai; MELIA TELEMACO
>> Subject: RE: [Mipshop] Revision of Transient Binding draft, 
>removal of 
>> A-flag
>> 
>> I know at least Ryuji and Rajeev have raised issues on this in the 
>> past.
>> A possible way forward would be for Ryuji and Rajeev to 
>supply a brief 
>> outline of the text that they would like to see in the 
>draft. Then the 
>> authors of the draft can come up with actual text that can 
>go into the 
>> draft.
>> 
>> > There was some discussion that some of what the draft is
>> trying to do
>> > can be addressed at the HA with some configurations. That what the 
>> > authors are trying to do as suggested by Marco with respect to the 
>> > A-flag. On the other hand, I disagree that all the
>> functionalities of
>> > the draft can be done using the same argument.
>> 
>> I agree with your disagreement as well. :)
>> 
>> > We discussed this many
>> > time and posted a detailed analysis several times.
>> 
>> Right. But it would be good to capture a brief description of this 
>> "analysis" in the draft, so that these questions don't come up again 
>> during WG last call, IETF last call and IESG review.
>> 
>> Vijay
>> 
>> > 
>> > Regards,
>> > Ahmad
>> >  
>> > 
>> > > -----Original Message-----
>> > > From: Vijay Devarapalli [mailto:[email-masked]]
>> > > Sent: Tuesday, May 26, 2009 12:45 PM
>> > > To: Muhanna, Ahmad (RICH1:2H10); Rajeev Koodli
>> > > Cc: Marco Liebsch; [email-masked]; Pierre Imai; MELIA TELEMACO
>> > > Subject: RE: [Mipshop] Revision of Transient Binding
>> draft, removal
>> > > of A-flag
>> > > 
>> > > Ahmad,
>> > > 
>> > > The general consensus in the room was that you need to
>> clarify what
>> > > can be done with implementation techniques on the LMA. 
>> You can then
>> > > point out the limitations of those implementation
>> techniques. This
>> > > would in general serve as the motivation for protocol extensions.
>> > > 
>> > > We have had people asking questions on these for the past three 
>> > > IETFs at least. So it would good to have some text in the
>> draft on
>> > > this.
>> > > 
>> > > Vijay
>> > > 
>> > > > -----Original Message-----
>> > > > From: [email-masked]
>> > > > [mailto:[email-masked]] On Behalf Of Ahmad Muhanna
>> > > > Sent: Monday, May 25, 2009 10:28 PM
>> > > > To: Rajeev Koodli
>> > > > Cc: Marco Liebsch; [email-masked]; Pierre Imai; 
>MELIA TELEMACO
>> > > > Subject: Re: [Mipshop] Revision of Transient Binding draft,
>> > > removal of
>> > > > A-flag
>> > > > 
>> > > > Hi Rajeev,
>> > > > 
>> > > > Since you quoted George below; I believe George was
>> > > referring to the
>> > > > case when the HA is allowed to accept late UL traffic
>> > from the Old
>> > > > MAG.
>> > > > Immediately, after the meeting, I had a quick chat with
>> > > George and he
>> > > > clearly said that his comment was for that case and also
>> > > clearly said
>> > > > that the case when allowing UL traffic from the new-MAG is
>> > > different
>> > > > and he is not aware of any HA which handles that with static 
>> > > > configuration.
>> > > > 
>> > > > So, it seems that you are the only one who still
>> believe that the
>> > > > whole draft can be handled with static configuration and
>> > some magic
>> > > > HA(s) are
>> > > > currently addressing this securely. I posted a couple of
>> > times the
>> > > > security issue with the L-Flag. I humbly request that
>> review that
>> > > > threat and if you still have issues, we certainly can
>> > > discuss. Or, you
>> > > > could explain to us how some of the current HA(s) handles
>> > the whole
>> > > > draft in a secure manner via static configuration.
>> > > > 
>> > > > Regards,
>> > > > Ahmad
>> > > >  
>> > > > 
>> > > > > -----Original Message-----
>> > > > > From: Rajeev Koodli [mailto:[email-masked]]
>> > > > > Sent: Monday, May 25, 2009 11:39 PM
>> > > > > To: Muhanna, Ahmad (RICH1:2H10)
>> > > > > Cc: Marco Liebsch; [email-masked]; Pierre Imai;
>> MELIA TELEMACO
>> > > > > Subject: Re: [Mipshop] Revision of Transient Binding
>> > > draft, removal
>> > > > > of A-flag
>> > > > > 
>> > > > > Hi Ahmad,
>> > > > > 
>> > > > > may be it was not clear.. I am referring to the revision
>> > > of the ID
>> > > > > in general, not to the A-flag.
>> > > > > 
>> > > > > Regards,
>> > > > > 
>> > > > > -Rajeev
>> > > > > 
>> > > > > 
>> > > > > On Mon, May 25, 2009 at 9:34 PM, Ahmad Muhanna
>> > > <[email-masked]>
>> > > > > wrote:
>> > > > > > Hi Rajeev,
>> > > > > >
>> > > > > > We are talking here about the setting of the A-Flag.
>> > > > > > It is not clear from your posting if you are referring to
>> > > > the same
>> > > > > > thing or something else too?
>> > > > > > Could you please clarify.
>> > > > > >
>> > > > > >
>> > > > > > Regards,
>> > > > > > Ahmad
>> > > > > >> -----Original Message-----
>> > > > > >> From: [email-masked] 
>> > > > > >> [mailto:[email-masked]] On Behalf Of
>> Rajeev Koodli
>> > > > > >> Sent: Monday, May 25, 2009 6:05 PM
>> > > > > >> To: Marco Liebsch
>> > > > > >> Cc: [email-masked]; Pierre Imai; MELIA TELEMACO
>> > > > > >> Subject: Re: [Mipshop] Revision of Transient Binding
>> > > > > draft, removal
>> > > > > >> of A-flag
>> > > > > >>
>> > > > > >> Hi Marco,
>> > > > > >>
>> > > > > >> I have a question related to the revision of this ID in
>> > > > > >> general: at the last meeting, we agreed on adding an
>> > > > Applicability
>> > > > > >> Statement section to the document.
>> > > > > >> Specifically, folks (George Tsirtsis, myself
>> > > > > >> included) noted that existing HAs do something like this
>> > > > already,
>> > > > > >> which should be part of such a section. Would you be
>> > > > > adding this in
>> > > > > >> the next version? If I missed it, please let me know.
>> > > > > >>
>> > > > > >> Thanks,
>> > > > > >>
>> > > > > >> -Rajeev
>> > > > > >>
>> > > > > >>
>> > > > > >> On Mon, May 25, 2009 at 7:07 AM, Marco Liebsch
>> > > > > <[email-masked]>
>> > > > > >> wrote:
>> > > > > >> > Folks,
>> > > > > >> >
>> > > > > >> > we revised version 2 of the transient BCE draft
>> > > > according to the
>> > > > > >> > comments we received. In addition to many useful
>> editorial
>> > > > > >> changes and
>> > > > > >> > new text for further clarification, we discussed
>> thoroughly
>> > > > > >> one issue
>> > > > > >> > that has been addressed by Pierrick and Telemaco which
>> > > > > is about the
>> > > > > >> > appropriate entity to select the use of an optional
>> > > > > >> activation state
>> > > > > >> > (Transient-A) after a late path switch.
>> > > > > >> >
>> > > > > >> > The comment from Pierrick was about leaving the 
>selection
>> > > > > >> to use such
>> > > > > >> > activation state to the LMA for the following reason:
>> > > > > >> > Only the LMA has knowledge about both technologies, the
>> > > > > >> pMAG's and the
>> > > > > >> > nMAG's one. Hence, the LMA is the right entity
>> to decide if
>> > > > > >> there is
>> > > > > >> > benefit in using the activation state.
>> > > > > >> >
>> > > > > >> > We discussed this even further and found that
>> the use of an
>> > > > > >> activation
>> > > > > >> > state Transient-A could be kept transparent to
>> the nMAG, so
>> > > > > >> we thought
>> > > > > >> > about removing the A-flag from the Transient
>> > Binding option.
>> > > > > >> >
>> > > > > >> > Both changes have the following effect: Clear roles for
>> > > > > >> nMAG and LMA:
>> > > > > >> > nMAG can select the late path switch (L), whereas the
>> > > > > >> decision on the
>> > > > > >> > optional activation state is always done by the 
>LMA. This
>> > > > > >> means even
>> > > > > >> > less complexity and a straight procedure to perform
>> > > > the handover.
>> > > > > >> >
>> > > > > >> > We believe that the changes reflect the 
>discussion on the
>> > > > > >> mailing list
>> > > > > >> > well and lead to a simplified document. Confirmation by
>> > > > > the WG and
>> > > > > >> > comments are appreciated, in particular if you have
>> > > > > concerns with
>> > > > > >> > these changes.
>> > > > > >> >
>> > > > > >> >
>> > > > > >> > marco
>> > > > > >> >
>> > > > > >> >
>> > > > > >> > _______________________________________________
>> > > > > >> > Mipshop mailing list
>> > > > > >> > [email-masked]
>> > > > > >> > https://www.ietf.org/mailman/listinfo/mipshop
>> > > > > >> >
>> > > > > >> _______________________________________________
>> > > > > >> Mipshop mailing list
>> > > > > >> [email-masked]
>> > > > > >> https://www.ietf.org/mailman/listinfo/mipshop
>> > > > > >>
>> > > > > >
>> > > > > 
>> > > > _______________________________________________
>> > > > Mipshop mailing list
>> > > > [email-masked]
>> > > > https://www.ietf.org/mailman/listinfo/mipshop
>> > > > 
>> > > 
>> > 
>> 
>_______________________________________________
>Mipshop mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/mipshop
>